package com.base.browserwhite.ui.views

import android.content.Context
import android.graphics.Canvas
import android.util.AttributeSet
import com.airbnb.lottie.LottieAnimationView

class XmlLottieAnimationView : LottieAnimationView {
    constructor(context: Context?) : super(context)
    constructor(context: Context?, attrs: AttributeSet?) : super(context, attrs)
    constructor(context: Context?, attrs: AttributeSet?, defStyleAttr: Int) : super(context, attrs, defStyleAttr)

    override fun draw(canvas: Canvas) {

        try {
            super.draw(canvas)
        } catch (e: Exception) {

        }

    }

    override fun playAnimation() {
        super.playAnimation()
    }
}